Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query
Interface Query

All Known Implementing Classes:
  QueryBase

public interface Query

Query represents a compiled (parsed and primed) query.

Field Summary
`static java.lang.String` | `NSURI`
`static java.lang.String` | `PREFIX`

Method Summary
`ResultSet` | `execute(Transaction tx)` execute actually Executes the query and returns the resulting ResultSet.
`Key[]` | `getKeySet()` getKeySet returns the initial set of Keys for this Query.
`NamespaceMap` | `getNamespaceMap()` getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.
`Collection` | `getQueryContext()` getQueryContext returns the Collection context for this query.
`java.lang.String` | `getQueryString()` getQueryString returns the String that was used to create the Query instance.
`java.lang.String` | `getQueryStyle()` getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.

Field Detail

### NSURI

    public static final java.lang.String NSURI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Method Detail

### getQueryStyle

    public java.lang.String getQueryStyle()

  getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.

  Returns:
    The Query style

### getQueryContext

    public Collection getQueryContext()

  getQueryContext returns the Collection context for this query.

  Returns:
    The Collection context

### getQueryString

    public java.lang.String getQueryString()

  getQueryString returns the String that was used to create the Query instance.

  Returns:
    The Query String

### getNamespaceMap

    public NamespaceMap getNamespaceMap()

  getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.

  Returns:
    The namespace Map (if any)

### getKeySet

    public Key[] getKeySet()

  getKeySet returns the initial set of Keys for this Query.

  Returns:
    The initial Key set (if any)

### execute

    public ResultSet execute(Transaction tx)
                      throws QueryException

  execute actually Executes the query and returns the resulting ResultSet.

  Parameters:
    `tx` - The controlling Transaction
  Returns:
    The ResultSet
  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group